"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ExternalTaskApiClientService {
    constructor(externalApiAccessor) {
        this._externalApiAccessor = undefined;
        this._externalApiAccessor = externalApiAccessor;
    }
    async fetchAndLockExternalTasks(identity, workerId, topicName, maxTasks, longPollingTimeout, lockDuration) {
        return this
            ._externalApiAccessor
            .fetchAndLockExternalTasks(identity, workerId, topicName, maxTasks, longPollingTimeout, lockDuration);
    }
    async extendLock(identity, workerId, externalTaskId, additionalDuration) {
        return this._externalApiAccessor.extendLock(identity, workerId, externalTaskId, additionalDuration);
    }
    async handleBpmnError(identity, workerId, externalTaskId, errorCode) {
        return this._externalApiAccessor.handleBpmnError(identity, workerId, externalTaskId, errorCode);
    }
    async handleServiceError(identity, workerId, externalTaskId, errorMessage, errorDetails) {
        return this._externalApiAccessor.handleServiceError(identity, workerId, externalTaskId, errorMessage, errorDetails);
    }
    async finishExternalTask(identity, workerId, externalTaskId, payload) {
        return this._externalApiAccessor.finishExternalTask(identity, workerId, externalTaskId, payload);
    }
}
exports.ExternalTaskApiClientService = ExternalTaskApiClientService;

//# sourceMappingURL=external_task_api_client_service.js.map
